Package org.opensaml.saml.metadata.resolver.filter.impl

# Class EntitiesDescriptorNameProcessor

java.lang.Object
org.opensaml.saml.metadata.resolver.filter.impl.EntitiesDescriptorNameProcessor

All Implemented Interfaces:
  `MetadataNodeProcessor`

public class EntitiesDescriptorNameProcessor extends Object implements MetadataNodeProcessor
A metadata node processor implementation which attaches an instance of `EntityGroupName` to an `EntityDescriptor` for each ancestor `EntitiesDescriptor` in the metadata tree.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`EntitiesDescriptorNameProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(XMLObject metadataNode)`
Process a metadata document node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### EntitiesDescriptorNameProcessor

public EntitiesDescriptorNameProcessor()

## Method Details

### process

public void process(@Nonnull XMLObject metadataNode) throws FilterException
Process a metadata document node.

Specified by:
  `process` in interface `MetadataNodeProcessor`
Parameters:
  `metadataNode` - the metadata node to process
Throws:
  `FilterException` - if a fatal error is encountered while processing the node